/*
    Zelda Battle Of Hyrule
    Copyright (C) 2009  Vincent Bourgogne
    
    Origine des sources :
    Zelda Return of the Hylian
    Copyright (C) 2005-2008  Vincent Jouillat

    Please send bugreports with examples or suggestions to www.zeldaroth.fr

*/

#ifndef __VISEUR_H__
#define __VISEUR_H__

#include "Listable.h"
#include "Common.h"

class Jeu;

class Viseur {
    public :
        Viseur(Jeu* jeu);
        ~Viseur();
        void setX(int i);
        void setY(int i);
        int getX();
        int getY();
        void draw(SDL_Surface* gpScreen);
    private :
        Jeu* gpJeu;
        int x;
        int y;
        SDL_Surface* image;
        
        
};

#endif  // Objet.h
